using DevExpress.Xpo;
using DevExpress.Persistent.Base;
using DevExpress.Persistent.BaseImpl;

namespace Nuvolar.Module.BusinessObjects.Popup
{
    [DefaultClassOptions,NonPersistent,CreatableItem(false),NavigationItem(false)]
        public class StorageSelectPopup : BaseObject
    {
        public StorageSelectPopup(Session session)
            : base(session)
        {
        }
        private Storage _Storage;
        private StorageMoveType _StorageMoveType;
        public override void AfterConstruction()
        {
            base.AfterConstruction();
     
        }
        public Storage Storage { get { return _Storage; } set { SetPropertyValue("Storage", ref _Storage, value); } }
        [DataSourceCriteria("Storage='@This.Storage' and MoveDirection=1 and MoveType=1")]
        public StorageMoveType StorageMoveType { get { return _StorageMoveType; } set { SetPropertyValue("StorageMoveType", ref _StorageMoveType, value); } }
        
    }
}
